Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.fill
Class JRFillCrosstabCell

    java.lang.Object
      net.sf.jasperreports.crosstabs.fill.JRFillCrosstabCell

All Implemented Interfaces:
  java.lang.Cloneable, JRCrosstabCell, JRCloneable

    public class JRFillCrosstabCell

extends java.lang.Object
implements JRCrosstabCell

Version:
  $Id: JRFillCrosstabCell.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected JRFillCellContents` | `contents`

Constructor Summary
`JRFillCrosstabCell(JRCrosstabCell cell, JRFillCrosstabObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getColumnTotalGroup()` Returns the name of the column group if the crosstab cell corresponds to a total column and `null` otherwise.
`JRCellContents` | `getContents()` Returns the cell contents.
`JRFillCellContents` | `getFillContents()`
`java.lang.Integer` | `getHeight()` Returns the height of the cell.
`java.lang.String` | `getRowTotalGroup()` Returns the name of the row group if the crosstab cell corresponds to a total row and `null` otherwise.
`java.lang.Integer` | `getWidth()` Returns the width of the cell.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contents

    protected JRFillCellContents contents

Constructor Detail

### JRFillCrosstabCell

    public JRFillCrosstabCell(JRCrosstabCell cell,
                              JRFillCrosstabObjectFactory factory)

Method Detail

### getRowTotalGroup

    public java.lang.String getRowTotalGroup()

  Description copied from interface: `JRCrosstabCell`
  Returns the name of the row group if the crosstab cell corresponds to a total row and `null` otherwise.

  Specified by:
    `getRowTotalGroup` in interface `JRCrosstabCell`
  Returns:
    the name of the total row group this cell corresponds to

### getColumnTotalGroup

    public java.lang.String getColumnTotalGroup()

  Description copied from interface: `JRCrosstabCell`
  Returns the name of the column group if the crosstab cell corresponds to a total column and `null` otherwise.

  Specified by:
    `getColumnTotalGroup` in interface `JRCrosstabCell`
  Returns:
    the name of the total column group this cell corresponds to

### getContents

    public JRCellContents getContents()

  Description copied from interface: `JRCrosstabCell`
  Returns the cell contents.

  Should never return null, but empty cell contents instead.

  Specified by:
    `getContents` in interface `JRCrosstabCell`
  Returns:
    the cell contents

### getFillContents

    public JRFillCellContents getFillContents()

### getWidth

    public java.lang.Integer getWidth()

  Description copied from interface: `JRCrosstabCell`
  Returns the width of the cell.

  The width of the cell can be unspecified. The width used for the cell is computed base on the rules described `here`.

  Specified by:
    `getWidth` in interface `JRCrosstabCell`
  Returns:
    the width of the cell

### getHeight

    public java.lang.Integer getHeight()

  Description copied from interface: `JRCrosstabCell`
  Returns the height of the cell.

  The height of the cell can be unspecified. The height used for the cell is computed base on the rules described `here`.

  Specified by:
    `getHeight` in interface `JRCrosstabCell`
  Returns:
    the width of the cell

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com